Bug 32541 - Move fetchmail back to a system module
Move fetchmail back to a system module
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: General
UCS 3.1
Other Linux
: P5 normal (vote)
: UCS 3.2
Assigned To: Lukas Walter
Dirk Wiesenthal
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-10 14:00 CEST by Moritz Muehlenhoff
Modified: 2013-11-19 06:41 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2013-09-10 14:00:08 CEST
univention-fetchmail was a pilot app for the App Center. Since 3.2 system modules exist, so we need a migration to being a system app.
Comment 1 Lukas Walter univentionstaff 2013-10-14 16:21:40 CEST
Adapted in 3.2 test appcenter.
Comment 2 Dirk Wiesenthal univentionstaff 2013-10-23 14:02:51 CEST
This won't work: Users having installed fetchmail in UCS 3.1 need that component to upgrade to UCS 3.2. You need to provide an empty repository for fetchmail and remove the UCR variables for the component in postinst
Comment 3 Lukas Walter univentionstaff 2013-10-25 17:12:33 CEST
I've added the required components to the 3.2 test appcenter, and the repository/component/fetchmail/.*  UCRVs will be removed in univention-fetchmail.postinst
Comment 4 Dirk Wiesenthal univentionstaff 2013-11-01 16:35:54 CET
Not removed. Presumably because of this in postinst:

if dpkg --compare-versions "$2" le-nl 7.0.0-2;
 [...]
fi

But 3.2 version is 7.0.0-3
Comment 5 Dirk Wiesenthal univentionstaff 2013-11-01 16:49:44 CET
(In reply to Dirk Wiesenthal from comment #4)
> Not removed. Presumably because of this in postinst:
> 
> if dpkg --compare-versions "$2" le-nl 7.0.0-2;
>  [...]
> fi
> 
> But 3.2 version is 7.0.0-3

Forget that. Probably my fault
Comment 6 Dirk Wiesenthal univentionstaff 2013-11-01 17:38:49 CET
My fault
Comment 7 Dirk Wiesenthal univentionstaff 2013-11-01 17:42:09 CET
Changeset: Ok
Changelog: Not needed
Comment 8 Stefan Gohmann univentionstaff 2013-11-19 06:41:40 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".